Home > Blogs > VIX API Blog


VIX 1.6.2 Released!

Last week we released VIX 1.6.2, which officially adds support for remotely managing VMs on ESX servers, either directly or when accessed through vCenter (formerly known as VirtualCenter).

There's been quite a proliferation of VIX versions lately, so some comments are in order. VIX 1.6.0 and 1.6.1 managed VMware Workstation and VMware Server, respectively. These packages were distributed within the products and cannot be downloaded separately. 1.6.2 adds support for ESX / vCenter and is available for download separately.

If you're trying to make sense of all of this, here's a table that should help:

 

Release

Supported Products

 

VIX 1.6.0

Workstation 6.5.0

 

VIX 1.6.1

VMware Server 2.0

 

VIX 1.6.2

ESX, ESXi and vCenter

 

VIX 1.6.3

Workstation 6.5.1

There are some important compatibility notes, as well as other helpful information in our release notes. One thing the release notes don't mention is that VIX 1.6.2 should work against VMware Server 2.0, although it is not tested very rigorously. Still it may be good to do development and testing using 1.6.2, managing a remote VMware Server system, but think twice before doing anything production related.

In the next post I'll give some examples of how you can get going with VIX quickly and easily using vmrun.

7 thoughts on “VIX 1.6.2 Released!

  1. dB.

    Lets put this to use right away!
    http://code.dblock.org/ShowPost.aspx?id=24

  2. Rob

    Are there version requirements of ESX and/or VMware Tools to make the VIX API work?

  3. Rob

    Are there version requirements of ESX and/or VMware Tools to make the VIX API work?

  4. ferrix

    Your table shows that “1.6.3” is needed for Workstation 6.5.1, which was pushed to my desktop a while back..
    But I can’t find 1.6.3 anywhere! Is there some way to get it or to revert my workstation to 6.5.0?
    I confirmed that as-is things fail. vmrun returns the dreaded “the specified service provider was not found” message.

  5. ferrix

    Update:
    I just had to uninstall 1.6.2 and get the full vmware 6.5.1 installer, then run it in repair mode. Now I have a happy VIX again 🙂

  6. mabra

    Also sad:The version information, presented in “install software” [on windows] shows version 1.00.00 !!!!!
    Where to find the “old” 1.6.1 ??
    thanks–mabra

  7. Felix Kollmann

    Hi,
    VIX is broken on ESXi 3.5 U4 and ESXi 4.0. It would be great to have a statement regarding this and when it will be fixed…
    http://communities.vmware.com/message/1324049#1324049
    Greetz Felix

Comments are closed.